Longfellow ZK 0290cb32

Loading...
Searching...
No Matches
Data Structures | Public Types | Public Member Functions | Static Public Member Functions | Data Fields
proofs::FlatSHA256Circuit< Logic, BitPlucker > Class Template Reference
Collaboration diagram for proofs::FlatSHA256Circuit< Logic, BitPlucker >:
[legend]

## Data Structures
struct | BlockWitness

## Public Types
using | v8 = typename Logic::v8
using | v256 = typename Logic::v256
using | v32 = typename Logic::v32
using | EltW = typename Logic::EltW
using | Field = typename Logic::Field
using | packed_v32 = typename BitPlucker::packed_v32

## Public Member Functions
| FlatSHA256Circuit (const Logic &l)
void | assert_transform_block (const v32 in[16], const v32 H0[8], const v32 outw[48], const v32 oute[64], const v32 outa[64], const v32 H1[8]) const
void | assert_transform_block (const v32 in[16], const v32 H0[8], const packed_v32 poutw[48], const packed_v32 poute[64], const packed_v32 pouta[64], const packed_v32 pH1[8]) const
void | assert_transform_block (const v32 in[16], const packed_v32 pH0[8], const packed_v32 poutw[48], const packed_v32 poute[64], const packed_v32 pouta[64], const packed_v32 pH1[8]) const
void | assert_message (size_t max, const v8 &nb, const v8 in[], const BlockWitness bw[]) const
void | assert_message_with_prefix (size_t max, const v8 &nb, const v8 in[], const uint8_t prefix[], size_t len, const BlockWitness bw[]) const
void | assert_message_hash (size_t max, const v8 &nb, const v8 in[], const v256 &target, const BlockWitness bw[]) const
void | assert_message_hash_with_prefix (size_t max, const v8 &nb, const v8 in[], const uint8_t prefix[], size_t len, const v256 &target, const BlockWitness bw[]) const
void | assert_hash (size_t max, const v256 &e, const v8 &nb, const BlockWitness bw[]) const

## Static Public Member Functions
static packed_v32 | packed_input (QuadCircuit< Field > &Q)

## Data Fields
const Logic & | l_
BitPlucker | bp_

The documentation for this class was generated from the following file:

- lib/circuits/sha/flatsha256_circuit.h